[B004]生物序列普通检索

post
https://connect.zhihuiya3.xtdz.top/bio-openapi/sequence/job
在体验中心中试用

根据关键信息检索生物序列。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
database
array[ "ALLPATENT" ]
目标序列数据库,ALLPATENT(默认):序列在专利标题/摘要/权利要求/说明书中公开;CLAIMS:序列在专利权利要求中公开;NONPATENT:序列在非专利文献中公开
has_modification
array[ true, false ]
目标序列是否含有修饰,true:含有修饰;false:不含修饰
limit
必填
integer<int32>1000
返回的命中序列数量上限,最大支持10000
params
必填
objectPlease check the form: OpenApiBlastParameter
序列比对参数
algorithm
必填
stringblastn-short
序列比对算法,核酸序列查询核酸序列用megablast,blastn或者blastn-short,核酸序列查询蛋白序列用blastx-fast,蛋白序列查询蛋白序列用blastp,blastp-fast或者blastp-short,蛋白序列查询核酸序列用tblastn-fast
evalue
number<float>100
E-Value期望阈值设置越高,返回结果可能越多。E-Value代表命中结构与查询序列偶然相似的可能性。例如,如果查询序列很短,则其偶然出现在序列不同位置的可能性将很高。E-Value设置得越高,这种偶然性就越大。
filter
objectPlease check the form: OpenApiFilterParameter
搜索过滤条件
perc_identity
objectOpenApiBlastParameter
匹配相似度过滤
end
integer<int32>100
结束值
start
integer<int32>-
开始值
q_perc_identity
objectOpenApiBlastParameter
查询序列匹配相似度过滤
end
integer<int32>100
结束值
start
integer<int32>-
开始值
qcov_hsp_perc
objectOpenApiBlastParameter
查询序列覆盖范围过滤
end
integer<int32>100
结束值
start
integer<int32>-
开始值
s_perc_identity
objectOpenApiBlastParameter
目标序列匹配相似度过滤
end
integer<int32>100
结束值
start
integer<int32>-
开始值
scov_hsp_perc
objectOpenApiBlastParameter
目标序列覆盖范围过滤
end
integer<int32>100
结束值
start
integer<int32>-
开始值
subject_length
objectOpenApiBlastParameter
目标序列长度过滤
end
integer<int32>100
结束值
start
integer<int32>-
开始值
with_gaps
boolean-
设置是否包含间隙进行匹配意味着您是否希望序列对齐结果中包含间隙
word_size
integer<int32>4
序列匹配步长。核酸搜核酸步长不得小于4,其他类型为2-7。步长越小,匹配越精确,相应的匹配时间也会越长。
query_type
必填
stringNUCLEOTIDE
目标序列类型,NUCLEOTIDE、PROTEIN
sequence_list
必填
arrayPlease check the form: OpenApiRequestSequenceInfo
查询序列,仅支持单条
label
stringSEQ1
用户输入的序列名称
sequence
stringGGGAGGCTAAGGCAGGAG
用户输入的序列
sequence_type
必填
stringNUCLEOTIDE
查询序列类型,NUCLEOTIDE、PROTEIN
strand
arrayPlease check the form: [PLUS, MINUS]
比对方向,PLUS:正向比对;MINUS:反向互补

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
array-
响应数据
label
stringSEQ1
用户输入的序列名称
job_id
string953a406a18d84dc8b13f0b923e406a43
后台查询任务ID,使用此ID调用后续接口
sequence
stringGGGAGGCTAAGGCAGGAG
用户输入的序列
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": [
    {
      "label": "SEQ1",
      "job_id": "953a406a18d84dc8b13f0b923e406a43",
      "sequence": "GGGAGGCTAAGGCAGGAG"
    }
  ],
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200001API整体限流错误!
67200002用户调用请求限流限制错误!
67200003申请token的key和secret不正确或者状态错误!
67200004无权限或该接口的套餐已超过系统设置的上限!
67200005账户余额不足,调用失败!
67200006客户端已过期,调用失败!
67200007超过调用额度,调用失败!
67200008apiKey未传参,调用失败!
67200009apiKey与Token不匹配,调用失败!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found
53000001请求参数异常。
53000003服务器内部错误。

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms